# $Revision: 1.2 $, $Date: 2001/01/17 20:11:26 $
Summary:	H.323 conferencing server    
Name:		openmcu
Version:	1.0.14
Release:	2mdk
License:	MPL
Group:		Communications
Source0:	http://www.openh323.org/bin/%{name}_%{version}.tar.bz2
Patch0:		%{name}-mak_files.patch.bz2
URL:		http://www.openh323.org/
BuildRequires:	openh323-devel >= 1.8.0 pwlib-devel >= 1.2.12
Requires:	pwlib1 >= 1.2.12 openh323_1 >= 1.8.0 
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description 
A free H.323 conferencing server. Part of OpenH323 project.

Features:
---------
- requires no codec hardware to operate
- currently supports G.711 and GSM audio codecs and H.261 video codecs
- can accept multiple connections simultaneously
- several different conferences can be talking place at the same time
  using the 'rooms' feature
- display statistics on calls in progress
- initiate calls from the MCU to remote endpoints

%prep
%setup -qn %{name}
%patch0 -p1

%build
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPENH323DIR=%{_prefix}; export OPENH323DIR
make  optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1/

install obj_*/%{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 1.0.14-2mdk
- rebuild with the latest pwlib

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.0.14-1mdk
- 1.0.14

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 1.0.10-2mdk
- recompile against the new openh323 and pwlib libs

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 1.0.9-5mdk
- new pwlib and openh323

* Sat Oct 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.9-4mdk
- BuildRequires: pwlib-devel

* Wed Sep 12 2001 Florin <florin@mandrakesoft.com> 1.0.9-3mdk
- rebuild with the new pwlib1 and openh323_1 changes 
- add requires on the versions of these-libs

* Wed Aug 22 2001 Florin <florin@mandrakesoft.com> 1.0.9-2mdk
- add requires on pwlib and openh323

* Tue Aug 21 2001 Florin <florin@mandrakesoft.com> 1.0.9-1mdk
- new spec
